Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Class ServiceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.muc.ServiceUnavailableException

All Implemented Interfaces:
  Serializable

    public class ServiceUnavailableException

extends Exception

Exception used for representing that the MultiUserChat service is not available at the moment. There are many reasons why a ServiceUnavailableException could occur such as: a user is trying to join a room that has reached the max number of occupants.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`ServiceUnavailableException()`
`ServiceUnavailableException(String msg)`
`ServiceUnavailableException(String msg, Throwable nestedThrowable)`
`ServiceUnavailableException(Throwable nestedThrowable)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUnavailableException

    public ServiceUnavailableException()

### ServiceUnavailableException

    public ServiceUnavailableException(String msg)

### ServiceUnavailableException

    public ServiceUnavailableException(Throwable nestedThrowable)

### ServiceUnavailableException

    public ServiceUnavailableException(String msg,
                                       Throwable nestedThrowable)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.